%define upstream_name	 XML-DTDParser
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Quick and dirty DTD parser
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This perl module parses a DTD file and creates a data structure containing info
about all tags, their allowed parameters, children, parents, optionality etc.
etc. etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-2.mga3
+ Revision: 374971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 27268
- mageia rebuild
- imported package perl-XML-DTDParser

